=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-08-14 20:59:41 +0000
+++ client/drizzle.cc	2008-09-04 18:16:51 +0000
@@ -2515,7 +2515,7 @@
 
   if (help_arg[0] != '\'')
   {
-    char *end_arg= strend(help_arg);
+    char *end_arg= strchr(help_arg, '\0');
     if(--end_arg)
     {
       while (my_isspace(charset_info,*end_arg))
@@ -2781,7 +2781,7 @@
                              (long) drizzle_affected_rows(&drizzle)),
               (long) drizzle_affected_rows(&drizzle));
 
-    pos=strend(buff);
+    pos= strchr(buff, '\0');
     if ((warnings= drizzle_warning_count(&drizzle)))
     {
       *pos++= ',';
@@ -4133,7 +4133,7 @@
   buff[0]=' ';
   buff[1]='(';
   end_timer(start_time,buff+2);
-  stpcpy(strend(buff),")");
+  stpcpy(strchr(buff, '\0'),")");
 }
 
 static const char * construct_prompt()

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2008-08-12 21:13:01 +0000
+++ client/drizzleimport.cc	2008-09-04 18:16:51 +0000
@@ -292,7 +292,7 @@
   sprintf(sql_statement, "LOAD DATA %s %s INFILE '%s'",
     opt_low_priority ? "LOW_PRIORITY" : "",
     opt_local_file ? "LOCAL" : "", hard_path);
-  end= strend(sql_statement);
+  end= strchr(sql_statement, '\0');
   if (opt_replace)
     end= stpcpy(end, " REPLACE");
   if (ignore)

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2008-08-25 19:04:45 +0000
+++ client/drizzletest.cc	2008-09-04 18:16:51 +0000
@@ -1541,7 +1541,7 @@
     *ptr= ' ';
 
     /* Last non space charecter should be c2 */
-    ptr= strend(str)-1;
+    ptr= strchr(str, '\0')-1;
     while(*ptr && my_isspace(charset_info, *ptr))
       ptr--;
     if (*ptr == c2)
@@ -4315,7 +4315,7 @@
 {
   int last_c_was_quote= 0;
   char *p= query, *to= query;
-  char *end= strend(query);
+  char *end= strchr(query, '\0');
   char last_c;
 
   while (p <= end)
@@ -4527,7 +4527,7 @@
     p++;
   command->first_argument= p;
 
-  command->end= strend(command->query);
+  command->end= strchr(command->query, '\0');
   command->query_len= (command->end - command->query);
   parser.read_lines++;
   return(0);
@@ -4657,7 +4657,7 @@
   while (embedded_server_arg_count < MAX_EMBEDDED_SERVER_ARGS &&
    (str=fgets(argument,sizeof(argument), file)))
   {
-    *(strend(str)-1)=0;        /* Remove end newline */
+    *(strchr(str, '\0')-1)=0;        /* Remove end newline */
     if (!(embedded_server_args[embedded_server_arg_count]=
     (char*) my_strdup(str,MYF(MY_WME))))
     {
@@ -7092,7 +7092,7 @@
 
 uint end_of_word(char * pos)
 {
-  char * end=strend(pos);
+  char * end= strchr(pos, '\0');
   return ((end > pos+2 && !memcmp(end-2, "\\b", 2)) ||
           (end >= pos+2 && !memcmp(end-2, "\\$",2))) ? 1 : 0;
 }

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-08-22 04:43:50 +0000
+++ drizzled/drizzled.cc	2008-09-04 18:16:51 +0000
@@ -5028,7 +5028,7 @@
   /* Resolve symlinks to allow 'mysql_home' to be a relative symlink */
   my_realpath(mysql_home,mysql_home,MYF(0));
   /* Ensure that mysql_home ends in FN_LIBCHAR */
-  pos=strend(mysql_home);
+  pos= strchr(mysql_home, '\0');
   if (pos[-1] != FN_LIBCHAR)
   {
     pos[0]= FN_LIBCHAR;

=== modified file 'drizzled/log.cc'
--- drizzled/log.cc	2008-08-25 19:04:45 +0000
+++ drizzled/log.cc	2008-09-04 18:16:51 +0000
@@ -1140,7 +1140,7 @@
 
   length= dirname_part(buff, name, &buf_length);
   start=  name + length;
-  end=    strend(start);
+  end= strchr(start, '\0');
 
   *end='.';
   length= (size_t) (end-start+1);

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-08-25 19:04:45 +0000
+++ drizzled/log_event.cc	2008-09-04 18:16:51 +0000
@@ -333,10 +333,10 @@
   fn_format(buf,"SQL_LOAD-",slave_load_tmpdir, "", MY_UNPACK_FILENAME);
   to_unix_path(buf);
 
-  buf = strend(buf);
-  buf = int10_to_str(::server_id, buf, 10);
+  buf= strchr(buf, '\0');
+  buf= int10_to_str(::server_id, buf, 10);
   *buf++ = '-';
-  buf = int10_to_str(event_server_id, buf, 10);
+  buf= int10_to_str(event_server_id, buf, 10);
   *buf++ = '-';
   res= int10_to_str(file_id, buf, 10);
   stpcpy(res, ext);                             // Add extension last
@@ -5758,7 +5758,7 @@
   p+= fn_pos_start;
   fname= (p= strmake(p, STRING_WITH_LEN(" INFILE \'")));
   p= slave_load_file_stem(p, file_id, server_id, ".data");
-  fname_end= p= strend(p);                      // Safer than p=p+5
+  fname_end= p= strchr(p, '\0');                      // Safer than p=p+5
   *(p++)='\'';
   switch (dup_handling) {
   case LOAD_DUP_IGNORE:

=== modified file 'drizzled/rpl_reporting.cc'
--- drizzled/rpl_reporting.cc	2008-08-06 18:46:02 +0000
+++ drizzled/rpl_reporting.cc	2008-09-04 18:16:51 +0000
@@ -42,6 +42,6 @@
   /* If the msg string ends with '.', do not add a ',' it would be ugly */
   report_function(_("Slave %s: %s%s Error_code: %d"),
                   m_thread_name, pbuff,
-                  (pbuff[0] && *(strend(pbuff)-1) == '.') ? "" : ",",
+                  (pbuff[0] && *(strchr(pbuff, '\0')-1) == '.') ? "" : ",",
                   err_code);
 }

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2008-08-25 19:04:45 +0000
+++ drizzled/sql_base.cc	2008-09-04 18:16:51 +0000
@@ -3885,7 +3885,7 @@
   memcpy(saved_cache_key, cache_key, key_length);
 
   init_tmp_table_share(thd, share, saved_cache_key, key_length,
-                       strend(saved_cache_key)+1, tmp_path);
+                       strchr(saved_cache_key, '\0')+1, tmp_path);
 
   if (open_table_def(thd, share, 0) ||
       open_table_from_share(thd, share, table_name,
@@ -3939,7 +3939,7 @@
   handler *file;
   char *ext;
 
-  stpcpy(ext= strend(path), reg_ext);
+  stpcpy(ext= strchr(path, '\0'), reg_ext);
   if (my_delete(path,MYF(0)))
     error=1; /* purecov: inspected */
   *ext= 0;				// remove extension

=== modified file 'drizzled/sql_connect.cc'
--- drizzled/sql_connect.cc	2008-08-25 19:04:45 +0000
+++ drizzled/sql_connect.cc	2008-09-04 18:16:51 +0000
@@ -335,7 +335,7 @@
     net->return_status= &thd->server_status;
 
   char *user= end;
-  char *passwd= strend(user)+1;
+  char *passwd= strchr(user, '\0')+1;
   uint user_len= passwd - user - 1;
   char *db= passwd;
   char db_buff[NAME_LEN + 1];           // buffer to store db in utf8

=== modified file 'drizzled/sql_db.cc'
--- drizzled/sql_db.cc	2008-08-18 22:20:43 +0000
+++ drizzled/sql_db.cc	2008-09-04 18:16:51 +0000
@@ -959,7 +959,7 @@
       continue;
 
     if (!(extension= strrchr(file->name, '.')))
-      extension= strend(file->name);
+      extension= strchr(file->name, '\0');
     if (find_type(extension, &deletable_extentions,1+2) <= 0)
     {
       if (find_type(extension, ha_known_exts(),1+2) <= 0)
@@ -1056,7 +1056,7 @@
   char tmp2_path[FN_REFLEN];
 
   /* Remove end FN_LIBCHAR as this causes problem on Linux in readlink */
-  pos= strend(path);
+  pos= strchr(path, '\0');
   if (pos > path && pos[-1] == FN_LIBCHAR)
     *--pos=0;
 
@@ -1073,7 +1073,7 @@
   }
 #endif
   /* Remove last FN_LIBCHAR to not cause a problem on OS/2 */
-  pos= strend(path);
+  pos= strchr(path, '\0');
 
   if (pos > path && pos[-1] == FN_LIBCHAR)
     *--pos=0;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-08-25 19:04:45 +0000
+++ drizzled/sql_parse.cc	2008-09-04 18:16:51 +0000
@@ -564,7 +564,7 @@
     status_var_increment(thd->status_var.com_other);
     char *user= (char*) packet, *packet_end= packet + packet_length;
     /* Safe because there is always a trailing \0 at the end of the packet */
-    char *passwd= strend(user)+1;
+    char *passwd= strchr(user, '\0')+1;
 
 
     thd->clear_error();                         // if errors from rollback
@@ -729,7 +729,7 @@
     /*
       We have name + wildcard in packet, separated by endzero
     */
-    arg_end= strend(packet);
+    arg_end= strchr(packet, '\0');
     thd->convert_string(&conv_name, system_charset_info,
 			packet, (uint) (arg_end - packet), thd->charset());
     table_list.alias= table_list.table_name= conv_name.str;

=== modified file 'drizzled/sql_show.cc'
--- drizzled/sql_show.cc	2008-08-25 19:04:45 +0000
+++ drizzled/sql_show.cc	2008-09-04 18:16:51 +0000
@@ -249,7 +249,7 @@
 	char *end;
         *ext=0;                                 /* Remove extension */
 	unpack_dirname(buff, file->name);
-	end= strend(buff);
+	end= strchr(buff, '\0');
 	if (end != buff && end[-1] == FN_LIBCHAR)
 	  end[-1]= 0;				// Remove end FN_LIBCHAR
         if (stat(buff, file->mystat))
@@ -1592,21 +1592,21 @@
         {
           SHOW_COMP_OPTION tmp= *(SHOW_COMP_OPTION*) value;
           pos= show_comp_option_name[(int) tmp];
-          end= strend(pos);
+          end= strchr(pos, '\0');
           break;
         }
         case SHOW_CHAR:
         {
           if (!(pos= value))
             pos= "";
-          end= strend(pos);
+          end= strchr(pos, '\0');
           break;
         }
        case SHOW_CHAR_PTR:
         {
           if (!(pos= *(char**) value))
             pos= "";
-          end= strend(pos);
+          end= strchr(pos, '\0');
           break;
         }
         case SHOW_KEY_CACHE_LONG:

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-08-16 21:06:40 +0000
+++ libdrizzle/client.c	2008-09-04 18:16:51 +0000
@@ -1363,7 +1363,7 @@
                              PROTOCOL_VERSION);
     goto error;
   }
-  end=strend((char*) net->read_pos+1);
+  end= strchr((char*) net->read_pos+1, '\0');
   drizzle->thread_id=uint4korr(end+1);
   end+=5;
   /*
@@ -1456,7 +1456,7 @@
     read_user_name((char*) end);
 
   /* We have to handle different version of handshake here */
-  end= strend(end) + 1;
+  end= strchr(end, '\0') + 1;
   if (passwd[0])
   {
     {

=== modified file 'mystrings/Makefile.am'
--- mystrings/Makefile.am	2008-09-04 16:50:21 +0000
+++ mystrings/Makefile.am	2008-09-04 18:16:51 +0000
@@ -31,7 +31,7 @@
 # the target system. This helps prevent empty object file problems.
 libmystrings_la_LIBADD = $(LTLIBOBJS)
 libmystrings_la_SOURCES = 	strxmov.c bmove_upp.c \
-				strend.c strfill.c is_prefix.c \
+				strfill.c is_prefix.c \
 				strmake.c longlong2str.c \
 				my_strtoll10.c \
 				bchange.c strxnmov.c int2str.c str2int.c \

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2008-09-04 16:50:21 +0000
+++ mystrings/m_string.h	2008-09-04 18:16:51 +0000
@@ -63,7 +63,6 @@
 
 extern	void bchange(unsigned char *dst,size_t old_len,const unsigned char *src,
 		     size_t new_len,size_t tot_len);
-extern	char *strend(const char *s);
 extern	char *strfield(char *src,int fields,int chars,int blanks,
 			   int tabch);
 extern	char *strfill(char * s,size_t len,char fill);

=== removed file 'mystrings/strend.c'
--- mystrings/strend.c	2008-07-30 05:33:20 +0000
+++ mystrings/strend.c	1970-01-01 00:00:00 +0000
@@ -1,37 +0,0 @@
-/* Copyright (C) 2002 MySQL AB
-   
-   This library is free software; you can redistribute it and/or
-   modify it under the terms of the GNU Library General Public
-   License as published by the Free Software Foundation; version 2
-   of the License.
-   
-   This library is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-   Library General Public License for more details.
-   
-   You should have received a copy of the GNU Library General Public
-   License along with this library; if not, write to the Free
-   Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
-   MA 02111-1307, USA */
-
-/*  File   : strend.c
-    Author : Richard A. O'Keefe.
-    Updated: 23 April 1984
-    Defines: strend()
-
-    strend(s) returns a character pointer to the NUL which ends s.  That
-    is,  strend(s)-s  ==  strlen(s). This is useful for adding things at
-    the end of strings.  It is redundant, because  strchr(s,'\0')  could
-    be used instead, but this is clearer and faster.
-    Beware: the asm version works only if strlen(s) < 65535.
-*/
-
-#include "m_string.h"
-
-
-char *strend(register const char *s)
-{
-  while (*s++);
-  return (char*) (s-1);
-}

=== modified file 'mysys/default.c'
--- mysys/default.c	2008-08-09 05:45:28 +0000
+++ mysys/default.c	2008-09-04 18:16:51 +0000
@@ -753,7 +753,7 @@
       /* Remove pre- and end space */
       char *value_end;
       for (value++ ; my_isspace(&my_charset_latin1,*value); value++) ;
-      value_end=strend(value);
+      value_end= strchr(value, '\0');
       /*
 	We don't have to test for value_end >= value as we know there is
 	an '=' before

=== modified file 'mysys/default_modify.c'
--- mysys/default_modify.c	2008-08-09 05:45:28 +0000
+++ mysys/default_modify.c	2008-09-04 18:16:51 +0000
@@ -123,7 +123,7 @@
          *(src_ptr + opt_len) == '\0'))
     {
       char *old_src_ptr= src_ptr;
-      src_ptr= strend(src_ptr+ opt_len);        /* Find the end of the line */
+      src_ptr= strchr(src_ptr+ opt_len, '\0');        /* Find the end of the line */
 
       /* could be negative */
       reserve_occupied+= (int) new_opt_len - (int) (src_ptr - old_src_ptr);

=== modified file 'mysys/mf_fn_ext.c'
--- mysys/mf_fn_ext.c	2008-07-28 22:45:54 +0000
+++ mysys/mf_fn_ext.c	2008-09-04 18:16:51 +0000
@@ -48,5 +48,5 @@
     gpos= name;
 #endif
   pos=strchr(gpos,FN_EXTCHAR);
-  return((char*) (pos ? pos : strend(gpos)));
+  return((char*) (pos ? pos : strchr(gpos, '\0')));
 } /* fn_ext */

=== modified file 'mysys/mf_getdate.c'
--- mysys/mf_getdate.c	2008-07-28 22:45:54 +0000
+++ mysys/mf_getdate.c	2008-09-04 18:16:51 +0000
@@ -67,14 +67,14 @@
 	     start_time->tm_mon+1,
 	     start_time->tm_mday);
    if (flag & GETDATE_DATE_TIME)
-     sprintf(strend(to),
+     sprintf(strchr(to, '\0'),
 	     ((flag & GETDATE_FIXEDLENGTH) ?
 	      " %02d:%02d:%02d" : " %2d:%02d:%02d"),
 	     start_time->tm_hour,
 	     start_time->tm_min,
 	     start_time->tm_sec);
    else if (flag & GETDATE_HHMMSSTIME)
-     sprintf(strend(to),"%02d%02d%02d",
+     sprintf(strchr(to, '\0'),"%02d%02d%02d",
 	     start_time->tm_hour,
 	     start_time->tm_min,
 	     start_time->tm_sec);

=== modified file 'mysys/mf_pack.c'
--- mysys/mf_pack.c	2008-08-10 02:15:48 +0000
+++ mysys/mf_pack.c	2008-09-04 18:16:51 +0000
@@ -243,7 +243,7 @@
 void symdirget(char *dir)
 {
   char buff[FN_REFLEN];
-  char *pos=strend(dir);
+  char *pos= strchr(dir, '\0');
   if (dir[0] && pos[-1] != FN_DEVCHAR && my_access(dir, F_OK))
   {
     File file;
@@ -349,7 +349,7 @@
     struct passwd *user_entry;
 
     if (!(str=strchr(*path,FN_LIBCHAR)))
-      str=strend(*path);
+      str= strchr(*path, '\0');
     save= *str; *str= '\0';
     user_entry=getpwnam(*path);
     *str=save;

=== modified file 'mysys/mf_path.c'
--- mysys/mf_path.c	2008-08-09 05:45:28 +0000
+++ mysys/mf_path.c	2008-09-04 18:16:51 +0000
@@ -61,7 +61,7 @@
 #endif
     }
     VOID(intern_filename(to,end));
-    to=strend(to);
+    to= strchr(to, '\0');
     if (to != start && to[-1] != FN_LIBCHAR)
       *to++ = FN_LIBCHAR;
     VOID(stpcpy(to,own_pathname_part));

=== modified file 'mysys/my_getopt.c'
--- mysys/my_getopt.c	2008-08-10 22:14:13 +0000
+++ mysys/my_getopt.c	2008-09-04 18:16:51 +0000
@@ -1147,7 +1147,7 @@
       putchar(' ');
     if (optp->comment && *optp->comment)
     {
-      const char *comment= _(optp->comment), *end= strend(comment);
+      const char *comment= _(optp->comment), *end= strchr(comment, '\0');
 
       while ((uint) (end - comment) > comment_space)
       {

=== modified file 'mysys/my_getwd.c'
--- mysys/my_getwd.c	2008-08-10 02:06:25 +0000
+++ mysys/my_getwd.c	2008-09-04 18:16:51 +0000
@@ -71,7 +71,7 @@
 #else
 #error "No way to get current directory"
 #endif
-    if (*((pos=strend(buf))-1) != FN_LIBCHAR)  /* End with FN_LIBCHAR */
+    if (*((pos= strchr(buf, '\0'))-1) != FN_LIBCHAR)  /* End with FN_LIBCHAR */
     {
       pos[0]= FN_LIBCHAR;
       pos[1]=0;

=== modified file 'mysys/my_lib.c'
--- mysys/my_lib.c	2008-08-10 02:06:10 +0000
+++ mysys/my_lib.c	2008-09-04 18:16:51 +0000
@@ -118,7 +118,7 @@
   /* MY_DIR structure is allocated and completly initialized at this point */
   result= (MY_DIR*)buffer;
 
-  tmp_file=strend(tmp_path);
+  tmp_file= strchr(tmp_path, '\0');
 
   dp= (struct dirent*) dirent_tmp;
   

=== modified file 'mysys/my_redel.c'
--- mysys/my_redel.c	2008-08-09 05:45:28 +0000
+++ mysys/my_redel.c	2008-09-04 18:16:51 +0000
@@ -51,7 +51,7 @@
     char ext[20];
     ext[0]='-';
     get_date(ext+1,2+4,(time_t) 0);
-    stpcpy(strend(ext),REDEL_EXT);
+    stpcpy(strchr(ext, '\0'),REDEL_EXT);
     if (my_rename(org_name, fn_format(name_buff, org_name, "", ext, 2),
 		  MyFlags))
       goto end;

=== modified file 'mysys/typelib.c'
--- mysys/typelib.c	2008-08-10 06:46:23 +0000
+++ mysys/typelib.c	2008-09-04 18:16:51 +0000
@@ -99,7 +99,7 @@
       findpos=pos;
     }
   }
-  if (find == 0 && (full_name & 4) && x[0] == '#' && strend(x)[-1] == '#' &&
+  if (find == 0 && (full_name & 4) && x[0] == '#' && strchr(x, '\0')[-1] == '#' &&
       (findpos=atoi(x+1)-1) >= 0 && (uint) findpos < typelib->count)
     find=1;
   else if (find == 0 || ! x[0])

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-08-22 04:43:50 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-09-04 18:16:51 +0000
@@ -2182,7 +2182,7 @@
 
 	/* Scan name from the end */
 
-	ptr = strend(name)-1;
+	ptr = strchr(name, '\0')-1;
 
 	while (ptr >= name && *ptr != '\\' && *ptr != '/') {
 		ptr--;
@@ -5158,7 +5158,7 @@
 
 	trx_search_latch_release_if_reserved(parent_trx);
 
-	ptr = strend(path) - 2;
+	ptr = strchr(path, '\0') - 2;
 
 	while (ptr >= path && *ptr != '\\' && *ptr != '/') {
 		ptr--;

=== modified file 'storage/myisam/myisamchk.c'
--- storage/myisam/myisamchk.c	2008-08-22 04:43:50 +0000
+++ storage/myisam/myisamchk.c	2008-09-04 18:16:51 +0000
@@ -1363,7 +1363,7 @@
 	if (share->rec[field].pack_type & PACK_TYPE_ZERO_FILL)
 	{
 	  sprintf(end,", zerofill(%d)",share->rec[field].space_length_bits);
-	  end=strend(end);
+	  end= strchr(end, '\0');
 	}
       }
       if (buff[0] == ',')

